Package org.eclipse.remote.console.actions

# Class ConsoleAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.remote.console.actions.ConsoleAction

All Implemented Interfaces:
  `org.eclipse.jface.action.IAction`

public abstract class ConsoleAction extends org.eclipse.jface.action.Action
An abstract class to implement basic functionality common to terminal console actions

Since:
  1.1

## Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`ConsoleAction(String id)`
`ConsoleAction(String id, int style)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`setupAction(String text, String tooltip, String image, String enabledImage, String disabledImage, boolean enabled)`
`protected void`
`setupAction(String text, String tooltip, String hoverImage, String enabledImage, String disabledImage, boolean enabled, org.eclipse.jface.resource.ImageRegistry imageRegistry)`
`protected void`
`setupAction(String text, String tooltip, org.eclipse.jface.resource.ImageDescriptor hoverImage, org.eclipse.jface.resource.ImageDescriptor enabledImage, org.eclipse.jface.resource.ImageDescriptor disabledImage, boolean enabled)`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, run, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConsoleAction

public ConsoleAction(String id)

Parameters:
  `id` - The action id

### ConsoleAction

public ConsoleAction(String id, int style)

Parameters:
  `id` - The action id
  `style` - one of AS_PUSH_BUTTON, AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_RADIO_BUTTON, and AS_UNSPECIFIED

## Method Details

### setupAction

protected void setupAction(String text, String tooltip, String image, String enabledImage, String disabledImage, boolean enabled)

Parameters:
  `text` - the text for this action
  `tooltip` - the tooltip for this action
  `image` - the image key for this action
  `enabledImage` - the enabled image key for this action
  `disabledImage` - the disabled image key for this action
  `enabled` - the enabled state for this action

### setupAction

protected void setupAction(String text, String tooltip, String hoverImage, String enabledImage, String disabledImage, boolean enabled, org.eclipse.jface.resource.ImageRegistry imageRegistry)

Parameters:
  `text` - the text for this action
  `tooltip` - the tooltip for this action
  `hoverImage` - the hover image key for this action
  `enabledImage` - the enabled image key for this action
  `disabledImage` - the disabled image key for this action
  `enabled` - the enabled state for this action
  `imageRegistry` - the ImageRegistry to retrieve ImageDescriptor for the keys provided

### setupAction

protected void setupAction(String text, String tooltip, org.eclipse.jface.resource.ImageDescriptor hoverImage, org.eclipse.jface.resource.ImageDescriptor enabledImage, org.eclipse.jface.resource.ImageDescriptor disabledImage, boolean enabled)

Parameters:
  `text` - the text for this action
  `tooltip` - the tooltip for this action
  `hoverImage` - the hover image for this action
  `enabledImage` - the enabled image for this action
  `disabledImage` - the disabled image for this action
  `enabled` - the enabled state for this action